with Ada.Command_Line;
with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
with Ada.Text_IO;use Ada.Text_IO;
with Ada.Strings.Unbounded.Text_IO; use Ada.Strings.Unbounded.Text_IO;
procedure UFread
   is
   U: Unbounded_String;
   F: File_Type;
   Wrong_Args: exception;
begin
   if Ada.Command_Line.Argument_Count /= 1 then
      raise Wrong_Args;
   end if;
   begin
      Open(F,In_File,Ada.Command_Line.Argument(1));
   exception
   when E: Name_Error =>
      Put_Line("Cannot Open Input File : "&Ada.Command_Line.Argument(1));
      raise;
   end;

   loop
      exit when End_Of_File(F);
      U:=Get_Line(F);
      Put_Line(U);
   end loop;
   Close(F);
exception
   when Wrong_Args =>
      Put_Line("Wrong Number of Arguments Given to "&Ada.Command_Line.Command_Name);
   when others => null;
end UFread;
